Daemon Power

The NetBSD Packages Collection: misc/calibre

Brief description of the package:
E-book library management application

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.calibre-ebook.com/.

Please note that this package has a gnu-gpl-v3 license.

The package is located in the "misc/calibre" directory. The current source version of the package is "calibre-3.29.0nb3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for misc/calibre :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py27-apsw>=3.7.17 py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 cwrappers>=20150314 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 sqlite3>=3.24 sqlite3>=3.0.8 sqlite3>=3.24.0nb1 py27-cssutils>=0.9.9 py27-dateutil>=1.4.1 py27-six-[0-9]* py27-setuptools_scm-[0-9]* py27-dns>=1.6.0 py27-elementtree-[0-9]* py27-html5-parser-[0-9]* py27-lxml-[0-9]* py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-beautifulsoup4-[0-9]* py27-mechanize>=0.1.11nb1 py27-html5lib>=0.999999999 py27-six>=1.9 py27-webencodings-[0-9]* py27-msgpack-[0-9]* py27-netifaces>=0.8 py27-Pillow>=2.7.0 py27-olefile-[0-9]* freetype2>=2.4.5 freetype2>=2.1.3 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 png>=1.6.0nb1 openjpeg>=2.1.0 freetype2>=2.4.11 libwebp>=0.6.0 py27-test-runner-[0-9]* py27-test>=2.8 py27-atomicwrites>=1.0 py27-attrs>=17.4.0 py27-more-itertools>=4.0.0 py27-six>=1.0.0 py27-pluggy>=0.7 py27-py>=1.5.0 py27-six>=1.10.0 py27-funcsigs-[0-9]* py27-unittest2-[0-9]* py27-six>=1.4 py27-argparse-[0-9]* py27-traceback2-[0-9]* py27-pbr-[0-9]* py27-pip-[0-9]* py27-linecache2-[0-9]* py27-psutil>=0.6.1 py27-regex-[0-9]* py27-sqlite3-[0-9]* chmlib>=0.40 chmlib>=0.31 libmtp>=1.1.5 libusb1>=1.0.9 libmtp>=0.3.0 libusb-compat>=0.1.6rc2 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 gperf-[0-9]* fontconfig>=2.1nb2 libwmf>=0.2.8 x11-links>=1.12 osabi-NetBSD-8.0_RC2 libwmf>=0.2.8nb2 podofo>=0.8.2 libidn>=0.4.6 libidn>=1.20nb1 fontconfig>=2.13.0 podofo>=0.9.5nb1 poppler>=0.20.2 poppler>=0.5.1 poppler-qt5>=0.26.0 poppler>=0.68.0 qt5-qtbase>=5.9.1 glib2>=2.4.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 pcre2>=10.21 harfbuzz>=2.1.1 icu>=3.4 icu>=62.1 glib2>=2.34.0 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 libproxy>=0.2.3 glu>=3.4.2 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 xorgproto>=2016.1 libXau>=1.0 xcb-proto>=1.13 xcb-proto>=1.4 py27-mako-[0-9]* MesaLib>=7.11.2 glu>=6.0 xcb-util>=0.3.9 gperf>=3.0.1 xcb-util-image>=0.3.9 xcb-util-keysyms>=0.3.9 xcb-util-renderutil>=0.3.8nb1 xcb-util-wm>=0.3.9 xcursor>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 Xrandr>=0.99 Xrandr>=1.0.1 libxkbcommon>=0.4.0 libxcb>=1.10 xorg-util-macros>=1.17 xkeyboard-config>=1.9 xkbcomp-[0-9]* pcre2>=10.30 libproxy>=0.4.11 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 Xrandr>=1.0.2nb3 libxkbcommon>=0.4.0nb1 qt5-qtbase>=5.11.2nb1 desktop-file-utils>=0.8 hal>=0.5.11 pciids-[0-9]* libvolume_id>=0.81.0 GConf>=2.8.0.1 glib2>=2.28 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 libIDL>=0.8.14nb4 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 ORBit2>=2.14.19nb4 dbus-glib>=0.74 dbus-glib>=0.100nb1 usbids>=20081118 policykit>=0.9 libxslt-[0-9]* hal-info>=20081022 GConf>=2.32.4nb5 policykit>=0.9nb12 py27-dbus>=0.82.2 dbus>=1.6 dbus-python-common>=1.1.1 dbus>=1.0 py27-dbus>=0.23.4 shared-mime-info>=0.15 py27-sip>=4.14.7 py27-qt5>=5.2.1 py27-enum34-[0-9]* py27-sip>=4.19.4 qt5-qtcharts>=5.11.2 qt5-qtdeclarative>=5.9.1 qt5-qtxmlpatterns>=5.9.1 qt5-qtxmlpatterns>=5.11.2nb1 qt5-qtdeclarative>=5.11.2nb1 qt5-qtlocation>=5.9.1 qt5-qtserialport>=5.9.1 qt5-qtserialport>=5.11.2nb1 qt5-qtmultimedia>=5.9.1 openal-soft>=1.5.304 pulseaudio>=12.0 avahi>=0.6.23 gtk2+>=2.14.0 atk>=1.30.0 glib2>=2.31.2 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 cairo>=1.12.10 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 cairo-gobject>=1.16.0 help2man-[0-9]* p5-gettext>=1.01 perl>=5.28.0 perl<5.30.0 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 pango>=1.42.4nb2 gobject-introspection>=0.9.3 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 gtk2+>=2.24.32nb7 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 libltdl>=2.4.2 avahi>=0.6.32nb16 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.14.4 gstreamer1>=1.0.0 qt5-qtnetworkauth>=5.11.2 qt5-qtsensors>=5.9.1 qt5-qtsvg>=5.9.1 qt5-qtsvg>=5.11.2nb1 qt5-qttools>=5.9.1 xdg-utils-[0-9]* bash-[0-9]* gsed>=3.0.2 w3m-[0-9]* boehm-gc>=7.2 libatomic_ops>=7.4.0<2000 boehm-gc>=7.4 clang>=5.0 llvm-6.0.1{,nb*} llvm>=4.0.1 qt5-qtwebchannel>=5.9.1 qt5-qtwebsockets>=5.9.1 qt5-qtwebsockets>=5.11.2nb1 qt5-qtlocation>=5.11.2nb1 qt5-qtmultimedia>=5.11.2nb1 qt5-qtsensors>=5.11.2nb1 qt5-qtwebchannel>=5.11.2nb1 qt5-qtwebkit>=5.8.0 hyphen>=2.8.6 ruby24-base>=2.4.5 libyaml>=0.1.1 libyaml>=0.1.4 qt5-qtx11extras>=5.9.1 py27-dbus>=1.1.1nb1 qt5-qtcharts>=5.11.2nb1 qt5-qtnetworkauth>=5.11.2nb1 qt5-qttools>=5.11.2nb1 qt5-qtwebkit>=5.212.0.alpha2nb11 qt5-qtx11extras>=5.11.2nb1 chmlib>=0.37.4nb2 libwmf>=0.2.8.4nb15 poppler-qt5>=0.68.0 desktop-file-utils>=0.10nb1 hal>=0.5.14nb8 xdg-utils>=1.0.2 poppler-includes>=0.22.2 poppler-includes>=0.68.0 .

This package requires the following package(s) to run: py27-apsw>=3.7.17 py27-setuptools>=0.8 py27-expat-[0-9]* python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 python27>=2.7.1nb2 sqlite3>=3.24 sqlite3>=3.0.8 sqlite3>=3.24.0nb1 py27-cssutils>=0.9.9 py27-dateutil>=1.4.1 py27-six-[0-9]* py27-dns>=1.6.0 py27-elementtree-[0-9]* py27-html5-parser-[0-9]* py27-lxml-[0-9]* py27-cython>=0.12.1 libxml2>=2.7.8 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxslt>=1.1.26 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.8 libxslt>=1.1.28nb2 py27-beautifulsoup4-[0-9]* py27-mechanize>=0.1.11nb1 py27-html5lib>=0.999999999 py27-six>=1.9 py27-webencodings-[0-9]* py27-msgpack-[0-9]* py27-netifaces>=0.8 py27-Pillow>=2.7.0 py27-olefile-[0-9]* freetype2>=2.4.5 freetype2>=2.1.3 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 libimagequant>=2.8.2 libwebp>=0.2.0 giflib>=5.1.0 png>=1.2.4 png>=1.6.0nb1 openjpeg>=2.1.0 freetype2>=2.4.11 libwebp>=0.6.0 py27-psutil>=0.6.1 py27-regex-[0-9]* py27-sqlite3-[0-9]* chmlib>=0.40 chmlib>=0.31 libmtp>=1.1.5 libusb1>=1.0.9 libmtp>=0.3.0 libusb-compat>=0.1.6rc2 fontconfig>=2.10.93 libuuid>=2.18 freetype2>=2.8.1 fontconfig>=2.1nb2 libwmf>=0.2.8 libwmf>=0.2.8nb2 podofo>=0.8.2 libidn>=0.4.6 libidn>=1.20nb1 fontconfig>=2.13.0 podofo>=0.9.5nb1 poppler>=0.20.2 poppler>=0.5.1 poppler-qt5>=0.26.0 poppler>=0.68.0 qt5-qtbase>=5.9.1 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 pcre>=8.30nb1 pcre2>=10.21 harfbuzz>=2.1.1 icu>=3.4 icu>=62.1 glib2>=2.34.0 dbus>=0.91 libproxy>=0.2.3 glu>=3.4.2 MesaLib>=3.4.2 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 MesaLib>=7.11.2 glu>=6.0 xcb-util>=0.3.9 xcb-util-image>=0.3.9 xcb-util-keysyms>=0.3.9 xcb-util-renderutil>=0.3.8nb1 xcb-util-wm>=0.3.9 xcursor>=1.0 Xfixes>=2.0.0 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xfixes>=2.0.1nb2 Xrender>=0.9.0nb1 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 Xrender>=0.9.0nb2 Xft2>=2.1nb2 Xrandr>=0.99 Xrandr>=1.0.1 libxkbcommon>=0.4.0 libxcb>=1.10 pcre2>=10.30 libproxy>=0.4.11 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 Xrandr>=1.0.2nb3 libxkbcommon>=0.4.0nb1 qt5-qtbase>=5.11.2nb1 desktop-file-utils>=0.8 hal>=0.5.11 pciids-[0-9]* libvolume_id>=0.81.0 GConf>=2.8.0.1 glib2>=2.28 ORBit2>=2.12.0 glib2>=2.8.0 libIDL>=0.8.3nb1 libIDL>=0.8.14nb4 dbus-glib>=0.61 glib2>=2.40 dbus>=1.8 ORBit2>=2.14.19nb4 dbus-glib>=0.74 dbus-glib>=0.100nb1 usbids>=20081118 policykit>=0.9 hal-info>=20081022 GConf>=2.32.4nb5 policykit>=0.9nb12 py27-dbus>=0.82.2 dbus>=1.6 py27-dbus>=0.23.4 shared-mime-info>=0.15 py27-sip>=4.14.7 py27-qt5>=5.2.1 py27-enum34-[0-9]* py27-sip>=4.19.4 qt5-qtcharts>=5.11.2 qt5-qtdeclarative>=5.9.1 qt5-qtxmlpatterns>=5.9.1 qt5-qtxmlpatterns>=5.11.2nb1 qt5-qtdeclarative>=5.11.2nb1 qt5-qtlocation>=5.9.1 qt5-qtserialport>=5.9.1 qt5-qtserialport>=5.11.2nb1 qt5-qtmultimedia>=5.9.1 openal-soft>=1.5.304 pulseaudio>=12.0 avahi>=0.6.23 gtk2+>=2.14.0 atk>=1.30.0 glib2>=2.31.2 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 shared-mime-info>=1.0nb1 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fontconfig>=2.11.91 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.33.12 harfbuzz>=0.9.9 cairo>=1.12.10 lzo>=2.01 fontconfig>=2.2.95 freetype2>=2.1.9 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.6.0 atk>=2.6.0 gdk-pixbuf2>=2.34.0nb1 pango>=1.42.4nb2 gtk2+>=2.4.0 libdaemon>=0.14 libdaemon>=0.10 gtk2+>=2.24.32nb7 libXtst>=1.0.1 consolekit>=0.3.0 polkit>=0.103 spidermonkey52>=52.0.0 nspr>=4.9.3.2 libsndfile>=1.0.0 flac>=1.1.0nb1 libogg>=1.1 libogg>=1.1.2nb1 libogg>=1.1.3 libvorbis>=1.0.1 flac>=1.1.3nb1 libvorbis>=1.1.0nb1 speexdsp>=1.2rc3 speex>=1.2rc2 speex>=1.2rc1 gdbm>=1.8.3 readline>=2.2 readline>=6.0 libltdl>=2.4.2 avahi>=0.6.32nb16 consolekit>=0.3.0nb9 libsndfile>=1.0.18 gdbm>=1.14.1 libltdl>=2.2.6 gst-plugins1-base>=1.0.0 orc>=0.4.6 gstreamer1>=1.14.4 gobject-introspection>=0.6.14nb1 py27-cElementTree-[0-9]* glib2>=2.54.0 libffi>=3.0.0 gobject-introspection>=1.34.0 gstreamer1>=1.0.0 qt5-qtnetworkauth>=5.11.2 qt5-qtsensors>=5.9.1 qt5-qtsvg>=5.9.1 qt5-qtsvg>=5.11.2nb1 qt5-qttools>=5.9.1 xdg-utils-[0-9]* bash-[0-9]* gsed>=3.0.2 clang>=5.0 llvm-6.0.1{,nb*} llvm>=4.0.1 qt5-qtwebchannel>=5.9.1 qt5-qtwebsockets>=5.9.1 qt5-qtwebsockets>=5.11.2nb1 qt5-qtlocation>=5.11.2nb1 qt5-qtmultimedia>=5.11.2nb1 qt5-qtsensors>=5.11.2nb1 qt5-qtwebchannel>=5.11.2nb1 qt5-qtwebkit>=5.8.0 hyphen>=2.8.6 qt5-qtx11extras>=5.9.1 py27-dbus>=1.1.1nb1 qt5-qtcharts>=5.11.2nb1 qt5-qtnetworkauth>=5.11.2nb1 qt5-qttools>=5.11.2nb1 qt5-qtwebkit>=5.212.0.alpha2nb11 qt5-qtx11extras>=5.11.2nb1 chmlib>=0.37.4nb2 libwmf>=0.2.8.4nb15 poppler-qt5>=0.68.0 desktop-file-utils>=0.10nb1 hal>=0.5.14nb8 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:calibre-2.85.1nb5.tgz(NetBSD 8.0)
i386:calibre-2.85.1nb7.tgz(NetBSD 7.0)
i386:calibre-2.85.1nb7.tgz(NetBSD 7.1)
i386:calibre-2.85.1nb7.tgz(NetBSD 8.0)
x86_64:calibre-2.85.1.tgz(NetBSD 7.0.1_PATCH)
x86_64:calibre-3.29.0nb2.tgz(NetBSD 8.0)
x86_64:calibre-2.85.1nb7.tgz(NetBSD 8.0)
x86_64:calibre-3.19.0nb1.tgz(NetBSD 8.0)
x86_64:calibre-3.26.1nb2.tgz(NetBSD 8.0)
x86_64:calibre-2.85.1nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]